package util.sqlparse.visitor.mariadb.visitor;

import com.alibaba.druid.sql.ast.SQLStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.MariadbForceIndexHint;
import com.alibaba.druid.sql.dialect.mariadb.ast.MariadbForeignKey;
import com.alibaba.druid.sql.dialect.mariadb.ast.MariadbIgnoreIndexHint;
import com.alibaba.druid.sql.dialect.mariadb.ast.MariadbKey;
import com.alibaba.druid.sql.dialect.mariadb.ast.MariadbPrimaryKey;
import com.alibaba.druid.sql.dialect.mariadb.ast.MariadbUnique;
import com.alibaba.druid.sql.dialect.mariadb.ast.MariadbUseIndexHint;
import com.alibaba.druid.sql.dialect.mariadb.ast.clause.MariadbCaseStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.clause.MariadbCursorDeclareStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.clause.MariadbDeclareConditionStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.clause.MariadbDeclareHandlerStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.clause.MariadbDeclareStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.clause.MariadbIterateStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.clause.MariadbLeaveStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.clause.MariadbRepeatStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.clause.MariadbSelectIntoStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.clause.MariadbTableTableSource;
import com.alibaba.druid.sql.dialect.mariadb.ast.expr.MariadbCharExpr;
import com.alibaba.druid.sql.dialect.mariadb.ast.expr.MariadbIntervalExpr;
import com.alibaba.druid.sql.dialect.mariadb.ast.expr.MariadbJSONTableExpr;
import com.alibaba.druid.sql.dialect.mariadb.ast.expr.MariadbOrderingExpr;
import com.alibaba.druid.sql.dialect.mariadb.ast.expr.MariadbOutFileExpr;
import com.alibaba.druid.sql.dialect.mariadb.ast.expr.MariadbUserName;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.CobarShowStatus;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.DrdsBaselineStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.DrdsCancelDDLJob;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.DrdsChangeDDLJob;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.DrdsClearDDLJobCache;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.DrdsInspectDDLJobCache;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.DrdsRecoverDDLJob;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.DrdsRemoveDDLJob;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.DrdsRollbackDDLJob;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.DrdsShowDDLJobs;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.DrdsShowGlobalIndex;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.DrdsShowMetadataLock;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterDatabaseKillJob;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterDatabaseSetOption;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterEventStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterFullTextStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterLogFileGroupStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterResourceGroupStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterServerStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableAddExtPartition;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableAlterCheck;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableAlterColumn;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableAlterFullTextIndex;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableAlterIndex;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableChangeColumn;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableDiscardTablespace;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableDropExtPartition;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableForce;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableImportTablespace;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableLock;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableModifyColumn;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableOption;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableOrderBy;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTableValidation;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterTablespaceStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAlterUserStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbAnalyzeStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbBinlogStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCacheIndexStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCheckTableStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbChecksumTableStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbClearPlanCacheStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateAddLogFileGroupStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateEventStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateExternalCatalogStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateFullTextAnalyzerStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateFullTextCharFilterStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateFullTextDictionaryStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateFullTextTokenFilterStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateFullTextTokenizerStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateResourceGroupStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateServerStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateTableSpaceStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateTableStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbCreateUserStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbDeallocatePrepareStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbDeleteStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbDisabledPlanCacheStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbDropFullTextStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbEventSchedule;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbExecuteForAdsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbExecuteStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbExplainPlanCacheStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbExplainStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbExtPartition;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbFlashbackStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbFlushStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbGrantStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbHelpStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbHintStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbImportTableStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbInsertStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbKillStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbListResourceGroupStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbLoadDataInFileStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbLoadXmlStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbLockTableStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbManageInstanceGroupStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbMigrateStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbOptimizeStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbPartitionByKey;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbPrepareStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbRaftLeaderTransferStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbRaftMemberChangeStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbRenameSequenceStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbRenameTableStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbRepairTableStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbResetStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbRevokeStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbSelectQueryBlock;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbSetTransactionStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowAuthorsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowBinLogEventsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowBinaryLogsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowBroadcastsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowCharacterSetStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowClusterNameStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowCollationStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowColumnStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowConfigStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowContributorsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowCreateDatabaseStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowCreateEventStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowCreateFullTextStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowCreateFunctionStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowCreateProcedureStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowCreateTableStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowCreateTriggerStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowDatabaseStatusStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowDatasourcesStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowDbLockStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowDdlStatusStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowDsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowEngineStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowEnginesStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowErrorsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowEventsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowFullTextStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowFunctionCodeStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowFunctionStatusStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowGrantsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowHMSMetaStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowHelpStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowHtcStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowJobStatusStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowMasterLogsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowMasterStatusStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowMigrateTaskStatusStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowNodeStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowOpenTablesStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowPartitionsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowPhysicalProcesslistStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowPlanCacheStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowPlanCacheStatusStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowPluginsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowPrivilegesStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowProcedureCodeStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowProcedureStatusStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowProcessListStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowProfileStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowProfilesStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowRelayLogEventsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowRuleStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowRuleStatusStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowSequencesStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowSlaveHostsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowSlaveStatusStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowSlowStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowStatusStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowStcStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowTableStatusStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowTopologyStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowTraceStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowTriggersStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowVariantsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbShowWarningsStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbSubPartitionByKey;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbSubPartitionByList;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbSubPartitionByValue;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbTableIndex;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbUnlockTablesStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbUpdatePlanCacheStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbUpdateStatement;
import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbUpdateTableSource;
import com.alibaba.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;
import java.util.List;
import util.sqlparse.visitor.Formater;

public class FormatVisitor extends Formater implements MariadbASTVisitor {
   private boolean debug = false;

   public void perform(List<SQLStatement> statements) {
      if (statements != null && statements.size() != 0) {
         for(SQLStatement statement : statements) {
            statement.accept(this);
         }

      }
   }

   public boolean visit(MariadbTableIndex x) {
      return false;
   }

   public void endVisit(MariadbTableIndex x) {
   }

   public boolean visit(MariadbKey x) {
      return false;
   }

   public void endVisit(MariadbKey x) {
   }

   public boolean visit(MariadbPrimaryKey x) {
      return false;
   }

   public void endVisit(MariadbPrimaryKey x) {
   }

   public boolean visit(MariadbUnique x) {
      return false;
   }

   public void endVisit(MariadbUnique x) {
   }

   public boolean visit(MariadbForeignKey x) {
      return false;
   }

   public void endVisit(MariadbForeignKey x) {
   }

   public void endVisit(MariadbPrepareStatement x) {
   }

   public boolean visit(MariadbPrepareStatement x) {
      return false;
   }

   public void endVisit(MariadbExecuteStatement x) {
   }

   public boolean visit(MariadbDeallocatePrepareStatement x) {
      return false;
   }

   public void endVisit(MariadbDeallocatePrepareStatement x) {
   }

   public boolean visit(MariadbExecuteStatement x) {
      return false;
   }

   public void endVisit(MariadbDeleteStatement x) {
   }

   public boolean visit(MariadbDeleteStatement x) {
      return false;
   }

   public void endVisit(MariadbInsertStatement x) {
   }

   public boolean visit(MariadbInsertStatement x) {
      return false;
   }

   public void endVisit(MariadbLoadDataInFileStatement x) {
   }

   public boolean visit(MariadbLoadDataInFileStatement x) {
      return false;
   }

   public void endVisit(MariadbLoadXmlStatement x) {
   }

   public boolean visit(MariadbLoadXmlStatement x) {
      return false;
   }

   public void endVisit(MariadbShowWarningsStatement x) {
   }

   public boolean visit(MariadbShowWarningsStatement x) {
      return false;
   }

   public void endVisit(MariadbShowStatusStatement x) {
   }

   public boolean visit(MariadbShowStatusStatement x) {
      return false;
   }

   public void endVisit(MariadbShowAuthorsStatement x) {
   }

   public boolean visit(MariadbShowAuthorsStatement x) {
      return false;
   }

   public void endVisit(MariadbShowHtcStatement x) {
   }

   public boolean visit(MariadbShowHtcStatement x) {
      return false;
   }

   public void endVisit(MariadbShowStcStatement x) {
   }

   public boolean visit(MariadbShowStcStatement x) {
      return false;
   }

   public void endVisit(CobarShowStatus x) {
   }

   public boolean visit(CobarShowStatus x) {
      return false;
   }

   public void endVisit(DrdsShowDDLJobs x) {
   }

   public boolean visit(DrdsShowDDLJobs x) {
      return false;
   }

   public void endVisit(DrdsCancelDDLJob x) {
   }

   public boolean visit(DrdsCancelDDLJob x) {
      return false;
   }

   public void endVisit(DrdsRecoverDDLJob x) {
   }

   public boolean visit(DrdsRecoverDDLJob x) {
      return false;
   }

   public void endVisit(DrdsRollbackDDLJob x) {
   }

   public boolean visit(DrdsRollbackDDLJob x) {
      return false;
   }

   public void endVisit(DrdsRemoveDDLJob x) {
   }

   public boolean visit(DrdsRemoveDDLJob x) {
      return false;
   }

   public void endVisit(DrdsInspectDDLJobCache x) {
   }

   public boolean visit(DrdsInspectDDLJobCache x) {
      return false;
   }

   public void endVisit(DrdsClearDDLJobCache x) {
   }

   public boolean visit(DrdsClearDDLJobCache x) {
      return false;
   }

   public void endVisit(DrdsChangeDDLJob x) {
   }

   public boolean visit(DrdsChangeDDLJob x) {
      return false;
   }

   public void endVisit(DrdsBaselineStatement x) {
   }

   public boolean visit(DrdsBaselineStatement x) {
      return false;
   }

   public void endVisit(DrdsShowGlobalIndex x) {
   }

   public boolean visit(DrdsShowGlobalIndex x) {
      return false;
   }

   public void endVisit(DrdsShowMetadataLock x) {
   }

   public boolean visit(DrdsShowMetadataLock x) {
      return false;
   }

   public void endVisit(MariadbBinlogStatement x) {
   }

   public boolean visit(MariadbBinlogStatement x) {
      return false;
   }

   public void endVisit(MariadbResetStatement x) {
   }

   public boolean visit(MariadbResetStatement x) {
      return false;
   }

   public void endVisit(MariadbCreateUserStatement x) {
   }

   public boolean visit(MariadbCreateUserStatement x) {
      return false;
   }

   public void endVisit(MariadbCreateUserStatement.UserSpecification x) {
   }

   public boolean visit(MariadbCreateUserStatement.UserSpecification x) {
      return false;
   }

   public void endVisit(MariadbPartitionByKey x) {
   }

   public boolean visit(MariadbPartitionByKey x) {
      return false;
   }

   public void endVisit(MariadbUpdatePlanCacheStatement x) {
   }

   public boolean visit(MariadbUpdatePlanCacheStatement x) {
      return false;
   }

   public void endVisit(MariadbShowPlanCacheStatusStatement x) {
   }

   public boolean visit(MariadbShowPlanCacheStatusStatement x) {
      return false;
   }

   public void endVisit(MariadbClearPlanCacheStatement x) {
   }

   public boolean visit(MariadbClearPlanCacheStatement x) {
      return false;
   }

   public void endVisit(MariadbDisabledPlanCacheStatement x) {
   }

   public boolean visit(MariadbDisabledPlanCacheStatement x) {
      return false;
   }

   public void endVisit(MariadbExplainPlanCacheStatement x) {
   }

   public boolean visit(MariadbExplainPlanCacheStatement x) {
      return false;
   }

   public boolean visit(MariadbSelectQueryBlock x) {
      return false;
   }

   public void endVisit(MariadbSelectQueryBlock x) {
   }

   public boolean visit(MariadbOutFileExpr x) {
      return false;
   }

   public void endVisit(MariadbOutFileExpr x) {
   }

   public boolean visit(MariadbExplainStatement x) {
      return false;
   }

   public void endVisit(MariadbExplainStatement x) {
   }

   public boolean visit(MariadbUpdateStatement x) {
      return false;
   }

   public void endVisit(MariadbUpdateStatement x) {
   }

   public boolean visit(MariadbSetTransactionStatement x) {
      return false;
   }

   public void endVisit(MariadbSetTransactionStatement x) {
   }

   public boolean visit(MariadbShowHMSMetaStatement x) {
      return false;
   }

   public void endVisit(MariadbShowHMSMetaStatement x) {
   }

   public boolean visit(MariadbShowBinaryLogsStatement x) {
      return false;
   }

   public void endVisit(MariadbShowBinaryLogsStatement x) {
   }

   public boolean visit(MariadbShowMasterLogsStatement x) {
      return false;
   }

   public void endVisit(MariadbShowMasterLogsStatement x) {
   }

   public boolean visit(MariadbShowCharacterSetStatement x) {
      return false;
   }

   public void endVisit(MariadbShowCharacterSetStatement x) {
   }

   public boolean visit(MariadbShowCollationStatement x) {
      return false;
   }

   public void endVisit(MariadbShowCollationStatement x) {
   }

   public boolean visit(MariadbShowBinLogEventsStatement x) {
      return false;
   }

   public void endVisit(MariadbShowBinLogEventsStatement x) {
   }

   public boolean visit(MariadbShowContributorsStatement x) {
      return false;
   }

   public void endVisit(MariadbShowContributorsStatement x) {
   }

   public boolean visit(MariadbShowCreateDatabaseStatement x) {
      return false;
   }

   public void endVisit(MariadbShowCreateDatabaseStatement x) {
   }

   public boolean visit(MariadbShowCreateEventStatement x) {
      return false;
   }

   public void endVisit(MariadbShowCreateEventStatement x) {
   }

   public boolean visit(MariadbShowCreateFunctionStatement x) {
      return false;
   }

   public void endVisit(MariadbShowCreateFunctionStatement x) {
   }

   public boolean visit(MariadbShowCreateProcedureStatement x) {
      return false;
   }

   public void endVisit(MariadbShowCreateProcedureStatement x) {
   }

   public boolean visit(MariadbShowCreateTriggerStatement x) {
      return false;
   }

   public void endVisit(MariadbShowCreateTriggerStatement x) {
   }

   public boolean visit(MariadbShowEngineStatement x) {
      return false;
   }

   public void endVisit(MariadbShowEngineStatement x) {
   }

   public boolean visit(MariadbShowEnginesStatement x) {
      return false;
   }

   public void endVisit(MariadbShowEnginesStatement x) {
   }

   public boolean visit(MariadbShowErrorsStatement x) {
      return false;
   }

   public void endVisit(MariadbShowErrorsStatement x) {
   }

   public boolean visit(MariadbShowEventsStatement x) {
      return false;
   }

   public void endVisit(MariadbShowEventsStatement x) {
   }

   public boolean visit(MariadbShowFunctionCodeStatement x) {
      return false;
   }

   public void endVisit(MariadbShowFunctionCodeStatement x) {
   }

   public boolean visit(MariadbShowFunctionStatusStatement x) {
      return false;
   }

   public void endVisit(MariadbShowFunctionStatusStatement x) {
   }

   public boolean visit(MariadbShowGrantsStatement x) {
      return false;
   }

   public void endVisit(MariadbShowGrantsStatement x) {
   }

   public boolean visit(MariadbUserName x) {
      return false;
   }

   public void endVisit(MariadbUserName x) {
   }

   public boolean visit(MariadbAlterDatabaseSetOption x) {
      return false;
   }

   public void endVisit(MariadbAlterDatabaseSetOption x) {
   }

   public boolean visit(MariadbAlterDatabaseKillJob x) {
      return false;
   }

   public void endVisit(MariadbAlterDatabaseKillJob x) {
   }

   public boolean visit(MariadbShowMasterStatusStatement x) {
      return false;
   }

   public void endVisit(MariadbShowMasterStatusStatement x) {
   }

   public boolean visit(MariadbShowOpenTablesStatement x) {
      return false;
   }

   public void endVisit(MariadbShowOpenTablesStatement x) {
   }

   public boolean visit(MariadbShowPluginsStatement x) {
      return false;
   }

   public void endVisit(MariadbShowPluginsStatement x) {
   }

   public boolean visit(MariadbShowPartitionsStatement x) {
      return false;
   }

   public void endVisit(MariadbShowPartitionsStatement x) {
   }

   public boolean visit(MariadbShowPrivilegesStatement x) {
      return false;
   }

   public void endVisit(MariadbShowPrivilegesStatement x) {
   }

   public boolean visit(MariadbShowProcedureCodeStatement x) {
      return false;
   }

   public void endVisit(MariadbShowProcedureCodeStatement x) {
   }

   public boolean visit(MariadbShowProcedureStatusStatement x) {
      return false;
   }

   public void endVisit(MariadbShowProcedureStatusStatement x) {
   }

   public boolean visit(MariadbShowProcessListStatement x) {
      return false;
   }

   public void endVisit(MariadbShowProcessListStatement x) {
   }

   public boolean visit(MariadbShowProfileStatement x) {
      return false;
   }

   public void endVisit(MariadbShowProfileStatement x) {
   }

   public boolean visit(MariadbShowProfilesStatement x) {
      return false;
   }

   public void endVisit(MariadbShowProfilesStatement x) {
   }

   public boolean visit(MariadbShowRelayLogEventsStatement x) {
      return false;
   }

   public void endVisit(MariadbShowRelayLogEventsStatement x) {
   }

   public boolean visit(MariadbShowSlaveHostsStatement x) {
      return false;
   }

   public void endVisit(MariadbShowSlaveHostsStatement x) {
   }

   public boolean visit(MariadbShowSequencesStatement x) {
      return false;
   }

   public void endVisit(MariadbShowSequencesStatement x) {
   }

   public boolean visit(MariadbShowSlaveStatusStatement x) {
      return false;
   }

   public void endVisit(MariadbShowSlaveStatusStatement x) {
   }

   public boolean visit(MariadbShowSlowStatement x) {
      return false;
   }

   public void endVisit(MariadbShowSlowStatement x) {
   }

   public boolean visit(MariadbShowTableStatusStatement x) {
      return false;
   }

   public void endVisit(MariadbShowTableStatusStatement x) {
   }

   public boolean visit(MariadbShowTriggersStatement x) {
      return false;
   }

   public void endVisit(MariadbShowTriggersStatement x) {
   }

   public boolean visit(MariadbShowVariantsStatement x) {
      return false;
   }

   public void endVisit(MariadbShowVariantsStatement x) {
   }

   public boolean visit(MariadbShowTraceStatement x) {
      return false;
   }

   public void endVisit(MariadbShowTraceStatement x) {
   }

   public boolean visit(MariadbShowBroadcastsStatement x) {
      return false;
   }

   public void endVisit(MariadbShowBroadcastsStatement x) {
   }

   public boolean visit(MariadbShowRuleStatement x) {
      return false;
   }

   public void endVisit(MariadbShowRuleStatement x) {
   }

   public boolean visit(MariadbShowRuleStatusStatement x) {
      return false;
   }

   public void endVisit(MariadbShowRuleStatusStatement x) {
   }

   public boolean visit(MariadbShowDsStatement x) {
      return false;
   }

   public void endVisit(MariadbShowDsStatement x) {
   }

   public boolean visit(MariadbShowDdlStatusStatement x) {
      return false;
   }

   public void endVisit(MariadbShowDdlStatusStatement x) {
   }

   public boolean visit(MariadbShowTopologyStatement x) {
      return false;
   }

   public void endVisit(MariadbShowTopologyStatement x) {
   }

   public boolean visit(MariadbRenameTableStatement.Item x) {
      return false;
   }

   public void endVisit(MariadbRenameTableStatement.Item x) {
   }

   public boolean visit(MariadbRenameTableStatement x) {
      return false;
   }

   public void endVisit(MariadbRenameTableStatement x) {
   }

   public boolean visit(MariadbShowDbLockStatement x) {
      return false;
   }

   public void endVisit(MariadbShowDbLockStatement x) {
   }

   public boolean visit(MariadbShowDatabaseStatusStatement x) {
      return false;
   }

   public void endVisit(MariadbShowDatabaseStatusStatement x) {
   }

   public boolean visit(MariadbUseIndexHint x) {
      return false;
   }

   public void endVisit(MariadbUseIndexHint x) {
   }

   public boolean visit(MariadbIgnoreIndexHint x) {
      return false;
   }

   public void endVisit(MariadbIgnoreIndexHint x) {
   }

   public boolean visit(MariadbLockTableStatement x) {
      return false;
   }

   public void endVisit(MariadbLockTableStatement x) {
   }

   public boolean visit(MariadbLockTableStatement.Item x) {
      return false;
   }

   public void endVisit(MariadbLockTableStatement.Item x) {
   }

   public boolean visit(MariadbUnlockTablesStatement x) {
      return false;
   }

   public void endVisit(MariadbUnlockTablesStatement x) {
   }

   public boolean visit(MariadbForceIndexHint x) {
      return false;
   }

   public void endVisit(MariadbForceIndexHint x) {
   }

   public boolean visit(MariadbAlterTableChangeColumn x) {
      return false;
   }

   public void endVisit(MariadbAlterTableChangeColumn x) {
   }

   public boolean visit(MariadbAlterTableOption x) {
      return false;
   }

   public void endVisit(MariadbAlterTableOption x) {
   }

   public boolean visit(MariadbCreateTableStatement x) {
      return false;
   }

   public void endVisit(MariadbCreateTableStatement x) {
   }

   public boolean visit(MariadbHelpStatement x) {
      return false;
   }

   public void endVisit(MariadbHelpStatement x) {
   }

   public boolean visit(MariadbCharExpr x) {
      return false;
   }

   public void endVisit(MariadbCharExpr x) {
   }

   public boolean visit(MariadbAlterTableModifyColumn x) {
      return false;
   }

   public void endVisit(MariadbAlterTableModifyColumn x) {
   }

   public boolean visit(MariadbAlterTableDiscardTablespace x) {
      return false;
   }

   public void endVisit(MariadbAlterTableDiscardTablespace x) {
   }

   public boolean visit(MariadbAlterTableImportTablespace x) {
      return false;
   }

   public void endVisit(MariadbAlterTableImportTablespace x) {
   }

   public boolean visit(MariadbCreateTableStatement.TableSpaceOption x) {
      return false;
   }

   public void endVisit(MariadbCreateTableStatement.TableSpaceOption x) {
   }

   public boolean visit(MariadbAnalyzeStatement x) {
      return false;
   }

   public void endVisit(MariadbAnalyzeStatement x) {
   }

   public boolean visit(MariadbCreateExternalCatalogStatement x) {
      return false;
   }

   public void endVisit(MariadbCreateExternalCatalogStatement x) {
   }

   public boolean visit(MariadbAlterUserStatement x) {
      return false;
   }

   public void endVisit(MariadbAlterUserStatement x) {
   }

   public boolean visit(MariadbOptimizeStatement x) {
      return false;
   }

   public void endVisit(MariadbOptimizeStatement x) {
   }

   public boolean visit(MariadbHintStatement x) {
      return false;
   }

   public void endVisit(MariadbHintStatement x) {
   }

   public boolean visit(MariadbOrderingExpr x) {
      return false;
   }

   public void endVisit(MariadbOrderingExpr x) {
   }

   public boolean visit(MariadbCaseStatement x) {
      return false;
   }

   public void endVisit(MariadbCaseStatement x) {
   }

   public boolean visit(MariadbDeclareStatement x) {
      return false;
   }

   public void endVisit(MariadbDeclareStatement x) {
   }

   public boolean visit(MariadbSelectIntoStatement x) {
      return false;
   }

   public void endVisit(MariadbSelectIntoStatement x) {
   }

   public boolean visit(MariadbCaseStatement.MariadbWhenStatement x) {
      return false;
   }

   public void endVisit(MariadbCaseStatement.MariadbWhenStatement x) {
   }

   public boolean visit(MariadbLeaveStatement x) {
      return false;
   }

   public void endVisit(MariadbLeaveStatement x) {
   }

   public boolean visit(MariadbIterateStatement x) {
      return false;
   }

   public void endVisit(MariadbIterateStatement x) {
   }

   public boolean visit(MariadbRepeatStatement x) {
      return false;
   }

   public void endVisit(MariadbRepeatStatement x) {
   }

   public boolean visit(MariadbCursorDeclareStatement x) {
      return false;
   }

   public void endVisit(MariadbCursorDeclareStatement x) {
   }

   public boolean visit(MariadbUpdateTableSource x) {
      return false;
   }

   public void endVisit(MariadbUpdateTableSource x) {
   }

   public boolean visit(MariadbAlterTableAlterColumn x) {
      return false;
   }

   public void endVisit(MariadbAlterTableAlterColumn x) {
   }

   public boolean visit(MariadbAlterTableForce x) {
      return false;
   }

   public void endVisit(MariadbAlterTableForce x) {
   }

   public boolean visit(MariadbAlterTableLock x) {
      return false;
   }

   public void endVisit(MariadbAlterTableLock x) {
   }

   public boolean visit(MariadbAlterTableOrderBy x) {
      return false;
   }

   public void endVisit(MariadbAlterTableOrderBy x) {
   }

   public boolean visit(MariadbAlterTableValidation x) {
      return false;
   }

   public void endVisit(MariadbAlterTableValidation x) {
   }

   public boolean visit(MariadbSubPartitionByKey x) {
      return false;
   }

   public void endVisit(MariadbSubPartitionByKey x) {
   }

   public boolean visit(MariadbSubPartitionByList x) {
      return false;
   }

   public void endVisit(MariadbSubPartitionByList x) {
   }

   public boolean visit(MariadbDeclareHandlerStatement x) {
      return false;
   }

   public void endVisit(MariadbDeclareHandlerStatement x) {
   }

   public boolean visit(MariadbDeclareConditionStatement x) {
      return false;
   }

   public void endVisit(MariadbDeclareConditionStatement x) {
   }

   public boolean visit(MariadbFlushStatement x) {
      return false;
   }

   public void endVisit(MariadbFlushStatement x) {
   }

   public boolean visit(MariadbEventSchedule x) {
      return false;
   }

   public void endVisit(MariadbEventSchedule x) {
   }

   public boolean visit(MariadbCreateEventStatement x) {
      return false;
   }

   public void endVisit(MariadbCreateEventStatement x) {
   }

   public boolean visit(MariadbCreateAddLogFileGroupStatement x) {
      return false;
   }

   public void endVisit(MariadbCreateAddLogFileGroupStatement x) {
   }

   public boolean visit(MariadbCreateServerStatement x) {
      return false;
   }

   public void endVisit(MariadbCreateServerStatement x) {
   }

   public boolean visit(MariadbCreateTableSpaceStatement x) {
      return false;
   }

   public void endVisit(MariadbCreateTableSpaceStatement x) {
   }

   public boolean visit(MariadbAlterEventStatement x) {
      return false;
   }

   public void endVisit(MariadbAlterEventStatement x) {
   }

   public boolean visit(MariadbAlterLogFileGroupStatement x) {
      return false;
   }

   public void endVisit(MariadbAlterLogFileGroupStatement x) {
   }

   public boolean visit(MariadbAlterServerStatement x) {
      return false;
   }

   public void endVisit(MariadbAlterServerStatement x) {
   }

   public boolean visit(MariadbAlterTablespaceStatement x) {
      return false;
   }

   public void endVisit(MariadbAlterTablespaceStatement x) {
   }

   public boolean visit(MariadbChecksumTableStatement x) {
      return false;
   }

   public void endVisit(MariadbChecksumTableStatement x) {
   }

   public boolean visit(MariadbShowDatasourcesStatement x) {
      return false;
   }

   public void endVisit(MariadbShowDatasourcesStatement x) {
   }

   public boolean visit(MariadbShowNodeStatement x) {
      return false;
   }

   public void endVisit(MariadbShowNodeStatement x) {
   }

   public boolean visit(MariadbShowHelpStatement x) {
      return false;
   }

   public void endVisit(MariadbShowHelpStatement x) {
   }

   public boolean visit(MariadbFlashbackStatement x) {
      return false;
   }

   public void endVisit(MariadbFlashbackStatement x) {
   }

   public boolean visit(MariadbShowConfigStatement x) {
      return false;
   }

   public void endVisit(MariadbShowConfigStatement x) {
   }

   public boolean visit(MariadbShowPlanCacheStatement x) {
      return false;
   }

   public void endVisit(MariadbShowPlanCacheStatement x) {
   }

   public boolean visit(MariadbShowPhysicalProcesslistStatement x) {
      return false;
   }

   public void endVisit(MariadbShowPhysicalProcesslistStatement x) {
   }

   public boolean visit(MariadbRenameSequenceStatement x) {
      return false;
   }

   public void endVisit(MariadbRenameSequenceStatement x) {
   }

   public boolean visit(MariadbCheckTableStatement x) {
      return false;
   }

   public void endVisit(MariadbCheckTableStatement x) {
   }

   public boolean visit(MariadbCreateFullTextCharFilterStatement x) {
      return false;
   }

   public void endVisit(MariadbCreateFullTextCharFilterStatement x) {
   }

   public boolean visit(MariadbShowFullTextStatement x) {
      return false;
   }

   public void endVisit(MariadbShowFullTextStatement x) {
   }

   public boolean visit(MariadbShowCreateFullTextStatement x) {
      return false;
   }

   public void endVisit(MariadbShowCreateFullTextStatement x) {
   }

   public boolean visit(MariadbAlterFullTextStatement x) {
      return false;
   }

   public void endVisit(MariadbAlterFullTextStatement x) {
   }

   public boolean visit(MariadbDropFullTextStatement x) {
      return false;
   }

   public void endVisit(MariadbDropFullTextStatement x) {
   }

   public boolean visit(MariadbCreateFullTextTokenizerStatement x) {
      return false;
   }

   public void endVisit(MariadbCreateFullTextTokenizerStatement x) {
   }

   public boolean visit(MariadbCreateFullTextTokenFilterStatement x) {
      return false;
   }

   public void endVisit(MariadbCreateFullTextTokenFilterStatement x) {
   }

   public boolean visit(MariadbCreateFullTextAnalyzerStatement x) {
      return false;
   }

   public void endVisit(MariadbCreateFullTextAnalyzerStatement x) {
   }

   public boolean visit(MariadbCreateFullTextDictionaryStatement x) {
      return false;
   }

   public void endVisit(MariadbCreateFullTextDictionaryStatement x) {
   }

   public boolean visit(MariadbAlterTableAlterFullTextIndex x) {
      return false;
   }

   public void endVisit(MariadbAlterTableAlterFullTextIndex x) {
   }

   public boolean visit(MariadbExecuteForAdsStatement x) {
      return false;
   }

   public void endVisit(MariadbExecuteForAdsStatement x) {
   }

   public boolean visit(MariadbManageInstanceGroupStatement x) {
      return false;
   }

   public void endVisit(MariadbManageInstanceGroupStatement x) {
   }

   public boolean visit(MariadbRaftMemberChangeStatement x) {
      return false;
   }

   public void endVisit(MariadbRaftMemberChangeStatement x) {
   }

   public boolean visit(MariadbRaftLeaderTransferStatement x) {
      return false;
   }

   public void endVisit(MariadbRaftLeaderTransferStatement x) {
   }

   public boolean visit(MariadbMigrateStatement x) {
      return false;
   }

   public void endVisit(MariadbMigrateStatement x) {
   }

   public boolean visit(MariadbShowClusterNameStatement x) {
      return false;
   }

   public void endVisit(MariadbShowClusterNameStatement x) {
   }

   public boolean visit(MariadbShowJobStatusStatement x) {
      return false;
   }

   public void endVisit(MariadbShowJobStatusStatement x) {
   }

   public boolean visit(MariadbShowMigrateTaskStatusStatement x) {
      return false;
   }

   public void endVisit(MariadbShowMigrateTaskStatusStatement x) {
   }

   public boolean visit(MariadbSubPartitionByValue x) {
      return false;
   }

   public void endVisit(MariadbSubPartitionByValue x) {
   }

   public boolean visit(MariadbExtPartition x) {
      return false;
   }

   public void endVisit(MariadbExtPartition x) {
   }

   public boolean visit(MariadbExtPartition.Item x) {
      return false;
   }

   public void endVisit(MariadbExtPartition.Item x) {
   }

   public boolean visit(MariadbJSONTableExpr x) {
      return false;
   }

   public void endVisit(MariadbJSONTableExpr x) {
   }

   public boolean visit(MariadbJSONTableExpr.Column x) {
      return false;
   }

   public void endVisit(MariadbJSONTableExpr.Column x) {
   }

   public boolean visit(MariadbAlterTableAlterCheck x) {
      return false;
   }

   public void endVisit(MariadbAlterTableAlterCheck x) {
   }

   public boolean visit(MariadbIntervalExpr x) {
      return false;
   }

   public void endVisit(MariadbIntervalExpr x) {
   }

   public boolean visit(MariadbTableTableSource x) {
      return false;
   }

   public void endVisit(MariadbTableTableSource x) {
   }

   public boolean visit(MariadbAlterTableAlterIndex x) {
      return false;
   }

   public void endVisit(MariadbAlterTableAlterIndex x) {
   }

   public boolean visit(MariadbGrantStatement x) {
      return false;
   }

   public void endVisit(MariadbGrantStatement x) {
   }

   public boolean visit(MariadbRevokeStatement x) {
      return false;
   }

   public void endVisit(MariadbRevokeStatement x) {
   }

   public boolean visit(MariadbRepairTableStatement x) {
      return false;
   }

   public void endVisit(MariadbRepairTableStatement x) {
   }

   public boolean visit(MariadbImportTableStatement x) {
      return false;
   }

   public void endVisit(MariadbImportTableStatement x) {
   }

   public boolean visit(MariadbShowColumnStatement x) {
      return false;
   }

   public void endVisit(MariadbShowColumnStatement x) {
   }

   public boolean visit(MariadbShowCreateTableStatement x) {
      return false;
   }

   public void endVisit(MariadbShowCreateTableStatement x) {
   }

   public boolean visit(MariadbCacheIndexStatement x) {
      return false;
   }

   public void endVisit(MariadbCacheIndexStatement x) {
   }

   public boolean visit(MariadbAlterTableAddExtPartition x) {
      return false;
   }

   public void endVisit(MariadbAlterTableAddExtPartition x) {
   }

   public boolean visit(MariadbKillStatement x) {
      return false;
   }

   public void endVisit(MariadbKillStatement x) {
   }

   public boolean visit(MariadbCreateResourceGroupStatement x) {
      return false;
   }

   public void endVisit(MariadbCreateResourceGroupStatement x) {
   }

   public boolean visit(MariadbListResourceGroupStatement x) {
      return false;
   }

   public void endVisit(MariadbListResourceGroupStatement x) {
   }

   public boolean visit(MariadbAlterTableDropExtPartition x) {
      return false;
   }

   public void endVisit(MariadbAlterTableDropExtPartition x) {
   }

   public boolean visit(MariadbAlterResourceGroupStatement x) {
      return false;
   }

   public void endVisit(MariadbAlterResourceGroupStatement x) {
   }
}
